%define	major	1
%define	libname	%mklibname tirpc %{major}
%define	devname	%mklibname tirpc -d
%define	static	%mklibname -d -s tirpc
%define beta rc3

Summary:	Transport Independent RPC Library
Name:		libtirpc
Version:	0.2.3
%if "%beta" == ""
Release:	2
Source0:	http://downloads.sourceforge.net/libtirpc/%{name}-%{version}.tar.bz2
%else
Release:	0.%beta.2
# Packaged from git://git.infradead.org/~steved/libtirpc.git w/ git archive
Source0:	%name-%version-%beta.tar.xz
%endif
# Related headers that were removed from glibc
Source10:	nis.h
Source11:	nis_tags.h
Source12:	nislib.h
Source13:	yp_prot.h
Source14:	ypclnt.h
Source15:	key_prot.h
Source16:	rpc_des.h
Patch0:		libtirpc-0.2.3-add-missing-bits-from-glibc.patch
License:	SISSL and BSD
Group:		System/Libraries
URL:		http://sourceforge.net/projects/libtirpc
BuildRequires:	pkgconfig
BuildRequires:	gssglue-devel
BuildRequires:	autoconf automake libtool

%description
This package contains SunLib's implementation of transport-independent
RPC (TI-RPC) documentation.  This library forms a piece of the base of 
Open Network Computing (ONC), and is derived directly from the 
Solaris 2.3 source.

TI-RPC is an enhanced version of TS-RPC that requires the UNIX System V 
Transport Layer Interface (TLI) or an equivalent X/Open Transport Interface 
(XTI).  TI-RPC is on-the-wire compatible with the TS-RPC, which is supported 
by almost 70 vendors on all major operating systems.  TS-RPC source code 
(RPCSRC 4.0) remains available from several internet sites.

%package -n	%{libname}
Summary:	Transport Independent RPC Library
Group:		System/Libraries
Requires:	%{name} >= %{EVRD}

%description -n	%{libname}
This package contains SunLib's implementation of transport-independent
RPC (TI-RPC) documentation.  This library forms a piece of the base of 
Open Network Computing (ONC), and is derived directly from the 
Solaris 2.3 source.

TI-RPC is an enhanced version of TS-RPC that requires the UNIX System V 
Transport Layer Interface (TLI) or an equivalent X/Open Transport Interface 
(XTI).  TI-RPC is on-the-wire compatible with the TS-RPC, which is supported 
by almost 70 vendors on all major operating systems.  TS-RPC source code 
(RPCSRC 4.0) remains available from several internet sites.

%package -n	%{devname}
Summary:	Development files for the libtirpc library
Group:		Development/C
Requires:	%{libname} >= %{EVRD}
Provides:	tirpc-devel = %{EVRD}
Obsoletes:	%{mklibname tirpc 1 -d}

%description -n	%{devname}
This package contains SunLib's implementation of transport-independent
RPC (TI-RPC) documentation.  This library forms a piece of the base of 
Open Network Computing (ONC), and is derived directly from the 
Solaris 2.3 source.

TI-RPC is an enhanced version of TS-RPC that requires the UNIX System V 
Transport Layer Interface (TLI) or an equivalent X/Open Transport Interface 
(XTI).  TI-RPC is on-the-wire compatible with the TS-RPC, which is supported 
by almost 70 vendors on all major operating systems.  TS-RPC source code 
(RPCSRC 4.0) remains available from several internet sites.

This package includes header files and libraries necessary for developing
programs which use the tirpc library.

%package -n	%{static}
Summary:	Static version of libtirpc library
Group:		Development/C
Requires:	%{devname} >= %{EVRD}
Provides:	tirpc-static-devel = %{EVRD}

%description -n	%{static}
This package contains a static library version of the libtirpc library.

%prep
%setup -q
%apply_patches

libtoolize --force
aclocal
autoheader
automake -a
autoconf

mkdir -p glibc-headers/rpc glibc-headers/rpcsvc
install -c -m 644 %SOURCE10 %SOURCE11 %SOURCE12 %SOURCE13 %SOURCE14 glibc-headers/rpcsvc/
install -c -m 644 %SOURCE15 %SOURCE16 glibc-headers/rpc/

%build
export CFLAGS="%{optflags} -fPIC -I`pwd`/glibc-headers -I`pwd`/tirpc"
%configure2_5x	--enable-shared \
		--enable-static \
		--enable-gss
%make all

%install
%makeinstall_std
install -m 755 -d %{buildroot}%{_sysconfdir}
install -m 644 doc/etc_netconfig %{buildroot}%{_sysconfdir}/netconfig
cp -a glibc-headers/* %buildroot%_includedir
cd %buildroot%_includedir/tirpc/rpc
for i in *.h; do
	ln -sf ../tirpc/rpc/$i %buildroot%_includedir/rpc/$i
done
cd ../rpcsvc
for i in *.h; do
	ln -sf ../tirpc/rpcsvc/$i %buildroot%_includedir/rpcsvc/$i
done
cd %buildroot%_includedir
ln -s tirpc/netconfig.h .

%files
%config(noreplace) %{_sysconfdir}/netconfig

%files -n %{libname}
%doc AUTHORS ChangeLog COPYING NEWS README
%{_libdir}/libtirpc.so.%{major}*

%files -n %{devname}
%_libdir/libtirpc.so
%_libdir/pkgconfig/libtirpc.pc
%_includedir/tirpc
%_includedir/netconfig.h
%_includedir/rpc/*
%_includedir/rpcsvc/*
%_mandir/man3/*
%_mandir/man5/*

%files -n %{static}
%_libdir/libtirpc.a


%changelog
* Wed Oct 03 2012 Bernhard Rosenkraenzer <bero@bero.eu> 0.2.3-0.rc3.2
+ Revision: 818320
- Symlink some headers for better glibc compatibility

* Wed Oct 03 2012 Bernhard Rosenkraenzer <bero@bero.eu> 0.2.3-0.rc3.1
+ Revision: 818277
- Update to 0.2.3-rc3
- Add some bits that used to be in glibc

* Wed May 23 2012 Per Øyvind Karlsen <peroyvind@mandriva.org> 0.2.2-3
+ Revision: 800319
- correct license
- cleanups
- build static library
- run autoreconf in %%prep, not %%build

* Thu Dec 15 2011 Oden Eriksson <oeriksson@mandriva.com> 0.2.2-2
+ Revision: 741638
- various cleanups

* Wed Jun 15 2011 Guillaume Rousse <guillomovitch@mandriva.org> 0.2.2-1
+ Revision: 685284
- new version

* Fri Apr 29 2011 Oden Eriksson <oeriksson@mandriva.com> 0.2.1-4
+ Revision: 660286
- mass rebuild

* Thu Nov 25 2010 Oden Eriksson <oeriksson@mandriva.com> 0.2.1-3mdv2011.0
+ Revision: 601062
- rebuild

* Mon Mar 29 2010 Guillaume Rousse <guillomovitch@mandriva.org> 0.2.1-2mdv2010.1
+ Revision: 528925
- remove .la file, it breaks gssd by altering nfs-utils linking arguments order

* Fri Dec 04 2009 Guillaume Rousse <guillomovitch@mandriva.org> 0.2.1-1mdv2010.1
+ Revision: 473560
- update to new version 0.2.1

* Mon Jun 08 2009 Guillaume Rousse <guillomovitch@mandriva.org> 0.2.0-4mdv2010.0
+ Revision: 384078
- oops

* Mon Jun 08 2009 Guillaume Rousse <guillomovitch@mandriva.org> 0.2.0-3mdv2010.0
+ Revision: 384077
- move configuration file in its own package

* Mon Jun 08 2009 Guillaume Rousse <guillomovitch@mandriva.org> 0.2.0-2mdv2010.0
+ Revision: 383877
- fix missing configuration file

* Sun Jun 07 2009 Guillaume Rousse <guillomovitch@mandriva.org> 0.2.0-1mdv2010.0
+ Revision: 383548
- new version

* Thu Dec 11 2008 Guillaume Rousse <guillomovitch@mandriva.org> 0.1.10-1mdv2009.1
+ Revision: 312870
- update to new version 0.1.10

* Fri Sep 05 2008 Guillaume Rousse <guillomovitch@mandriva.org> 0.1.9-1mdv2009.0
+ Revision: 281207
- new version
  drop all patches, merged upstream
  spec cleanup

* Tue Jun 17 2008 Thierry Vignaud <tv@mandriva.org> 0.1.7-7mdv2009.0
+ Revision: 223012
- rebuild

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Tue Mar 04 2008 Oden Eriksson <oeriksson@mandriva.com> 0.1.7-6mdv2008.1
+ Revision: 179005
- rebuild

  + Thierry Vignaud <tv@mandriva.org>
    - rebuild
    - kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <blino@mandriva.org>
    - restore BuildRoot

* Thu Sep 06 2007 Oden Eriksson <oeriksson@mandriva.com> 0.1.7-4mdv2008.0
+ Revision: 80802
- bump release (again)
- bump release
- sync with libtirpc-0.1.7-10.fc8.src.rpm
- added P101 to make it build against libgssglue instead
- new devel naming

* Tue Apr 17 2007 Oden Eriksson <oeriksson@mandriva.com> 0.1.7-1mdv2008.0
+ Revision: 14044
- Import libtirpc

